Subject: Re: bug#32233: Cuirass: Berlin web API times out

From: Clément Lassieur <[email-masked]>
Date: Mon, 23 Jul 2018 17:29:16 +0200

Ludovic Courtès <[email-masked]> writes:

> Clément Lassieur <[email-masked]> skribis:
>
>>> Is the Web UI already in the current ‘cuirass’ package?
>>
>> Soon!  But I think we should change the NGINX config nonetheless because
>> the json API is useful.
>
> The JSON API is available; see ‘berlin-locations.conf’.
>
>>> If so, what do we need to change in the nginx config?
>>
>> I guess we could add:
>>
>> server {
>
> [...]
>
>>     location / {
>>         proxy_pass http://localhost:8081;
>>     }
>> }
>
> I think this change should go do ‘berlin-locations.conf’.

That would conflict with the '/' location of ports 80 and 443.  I was
rather thinking about using port 8081 for Cuirass.  In that case the
'server' block would be needed in berlin.conf.  We would also remove

    # Cuirass.
    location /specifications { proxy_pass http://localhost:8081; }
    location /jobsets { proxy_pass http://localhost:8081; }
    location /build { proxy_pass http://localhost:8081; }
    location /api { proxy_pass http://localhost:8081; }

from berlin-locations.conf.

Otherwise we need to think about what routes go to Cuirass and what
routes go to Guix publish.  Alternatively, we could use another domain
name with ports 80 and 443, but it's more work.

WDYT?